## linux-liquorix 6.9

=== debian/changelog ===
linux-liquorix (6.9-9~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert all changes for the zstd switch for kernel and module compression.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Jul 2024 09:10:22 -0700

linux-liquorix (6.9-9ubuntu1~jammy) jammy; urgency=medium

  * merge 6.9.10
  * update version to 6.9.10-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 18 Jul 2024 12:32:37 -0500

linux-liquorix (6.9-8) unstable; urgency=medium

  * merge 6.9.9
  * update version to 6.9.9-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 11 Jul 2024 10:35:23 -0500

linux-liquorix (6.9-7) unstable; urgency=medium

  * merge 6.9.8
  * update version to 6.9.8-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 07 Jul 2024 18:38:46 -0500

linux-liquorix (6.9-6) unstable; urgency=medium

  * merge 6.9.7
  * update version to 6.9.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 28 Jun 2024 14:32:44 -0500

linux-liquorix (6.9-5) unstable; urgency=medium

  * merge 6.9.6
  * update version to 6.9.6-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 22 Jun 2024 14:59:21 -0500

linux-liquorix (6.9-4) unstable; urgency=medium

  * merge 6.9.5
  * update version to 6.9.5-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 17 Jun 2024 08:41:47 -0500

linux-liquorix (6.9-3) unstable; urgency=medium

  * merge 6.9.4
  * add EPP enhancements for Meteor/Arrow Lake CPUs
  * update version to 6.9.4-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 12 Jun 2024 08:59:32 -0500

linux-liquorix (6.9-2) unstable; urgency=medium

  * properly set version to 6.9.3-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 02 Jun 2024 13:42:42 -0500

linux-liquorix (6.9-1) unstable; urgency=medium

  * switch to kernel 6.9
  * merge 6.9.3
  * adjust PDS timeslice shift to 4ms for RQ clock updates
  * update version to 6.9.3-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 02 Jun 2024 10:03:58 -0500

linux-liquorix (6.8-19) unstable; urgency=medium

  * tune PDS timeslice shift from 8ms to 2ms for RQ clock updates
  * update version to 6.8.12-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 01 Jun 2024 15:10:06 -0500

linux-liquorix (6.8-18) unstable; urgency=medium

  * merge 6.8.12
  * update version to 6.8.12-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 30 May 2024 12:14:01 -0500

linux-liquorix (6.8-17) unstable; urgency=medium

  * merge 6.8.11
  * cleanup / resync config management
  * generate vmlinux.h file for BPF tooling
  * update version to 6.8.11-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 27 May 2024 09:03:11 -0500

linux-liquorix (6.8-16) unstable; urgency=medium

  * update ntsync to ntsync5 from v5 patch set
  * set CONFIG_NTSYNC=y again as module doesn't dynamically load
  * update version to 6.8.10-2

 -- Steven Barrett <steven@liquorix.net>  Wed, 22 May 2024 18:23:31 -0500

linux-liquorix (6.8-15) unstable; urgency=medium

  * merge 6.8.10
  * update version to 6.8.10-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 17 May 2024 11:24:00 -0500

linux-liquorix (6.8-14) unstable; urgency=medium

  * remove "rcuupdate.rcu_expedited=1" from cmdline
  * update version to 6.8.9-5

 -- Steven Barrett <steven@liquorix.net>  Sat, 11 May 2024 18:19:52 -0500

linux-liquorix (6.8-13) unstable; urgency=medium

  * disable CONFIG_RCU_BOOST
  * update version to 6.8.9-4

 -- Steven Barrett <steven@liquorix.net>  Sat, 11 May 2024 17:36:17 -0500

linux-liquorix (6.8-12) unstable; urgency=medium

  * add patches to fix recent AMDGPU regression with resizable bar
  * reenable CONFIG_WQ_POWER_EFFICIENT_DEFAULT due to potential bug being off
  * update version to 6.8.9-3

 -- Steven Barrett <steven@liquorix.net>  Thu, 09 May 2024 13:08:53 -0500

linux-liquorix (6.8-11) unstable; urgency=medium

  * force vm.max_map_count to 2 billion, make sysctl RO
  * update version to 6.8.9-2

 -- Steven Barrett <steven@liquorix.net>  Mon, 06 May 2024 18:49:19 -0500

linux-liquorix (6.8-10) unstable; urgency=medium

  * merge 6.8.9
  * refresh config due to changes in config options
  * enable CONFIG_FTRACE_SYSCALLS
  * update version to 6.8.9-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 02 May 2024 15:18:14 -0500

linux-liquorix (6.8-9) unstable; urgency=medium

  * merge 6.8.8
  * update version to 6.8.8-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 28 Apr 2024 08:58:12 -0500
