## linux-liquorix 6.10

=== debian/changelog ===
linux-liquorix (6.10-8~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert all changes for the zstd switch for kernel and module compression.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 05 Sep 2024 10:06:28 -0700

linux-liquorix (6.10-8ubuntu1~jammy) jammy; urgency=medium

  * merge 6.10.8
  * update version to 6.10.8-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 04 Sep 2024 11:27:45 -0500

linux-liquorix (6.10-7) unstable; urgency=medium

  * merge 6.10.7
  * update Project-C to v6.10-prjc-r2
  * update version to 6.10.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 30 Aug 2024 11:08:42 -0500

linux-liquorix (6.10-6) unstable; urgency=medium

  * reenable CONFIG_IRQ_TIME_ACCOUNTING
  * update version to 6.10.6-2

 -- Steven Barrett <steven@liquorix.net>  Tue, 20 Aug 2024 10:05:02 -0500

linux-liquorix (6.10-5) unstable; urgency=medium

  * merge 6.10.6
  * update version to 6.10.6-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 19 Aug 2024 14:12:02 -0500

linux-liquorix (6.10-4) unstable; urgency=medium

  * merge 6.10.5
  * update version to 6.10.5-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 15 Aug 2024 14:29:08 -0500

linux-liquorix (6.10-3) unstable; urgency=medium

  * add fixes
   - btrfs: only run the extent map shrinker from kswapd tasks
   - drm/i915/display: correct dual pps handling for MTL_PCH+
  * update version to 6.10.4-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 11 Aug 2024 16:14:07 -0500

linux-liquorix (6.10-2) unstable; urgency=medium

  * merge 6.10.4
  * update Project-C to v6.10-prjc-r1
  * update version to 6.10.4-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 11 Aug 2024 10:14:02 -0500

linux-liquorix (6.10-1) unstable; urgency=medium

  * switch to kernel 6.10
  * merge 6.10.3
  * update config for 6.10.3
  * update version to 6.10.3-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 04 Aug 2024 19:12:55 -0500

linux-liquorix (6.9-12) unstable; urgency=medium

  * add AMD HDMI audio fix
   - ALSA: hda: Conditionally use snooping for AMD HDMI
  * update version to 6.9.12-2

 -- Steven Barrett <steven@liquorix.net>  Fri, 02 Aug 2024 11:58:21 -0500

linux-liquorix (6.9-11) unstable; urgency=medium

  * merge 6.9.12
  * update version to 6.9.12-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 28 Jul 2024 11:18:28 -0500

linux-liquorix (6.9-10) unstable; urgency=medium

  * merge 6.9.11
  * update version to 6.9.11-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 25 Jul 2024 08:09:34 -0500

linux-liquorix (6.9-9) unstable; urgency=medium

  * merge 6.9.10
  * update version to 6.9.10-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 18 Jul 2024 12:32:37 -0500
