## linux-liquorix 6.11

=== debian/changelog ===
linux-liquorix (6.11-11~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Go back to using xz kernel and module compression now that Tim has fixed
    builds for gcc-10.
  * Add fix_FTBFS_on_gcc-10.patch and force_march=x86-64_to_fix_dkms_FTB.patch. 
    Thanks, Tim! [woohoo!]
  * debian/rules: Add "export CONFIG_X86_64_VERSION=1" to fix new FTBFS on 
    Bullseye, also fixed by Tim.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 08 Nov 2024 23:59:36 -0800

linux-liquorix (6.11-11ubuntu1~jammy) jammy; urgency=medium

  * merge v6.11.7
  * update version to 6.11.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 08 Nov 2024 12:16:00 -0600

linux-liquorix (6.11-10) unstable; urgency=medium

  * merge v6.11.6
  * update version to 6.11.6-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 01 Nov 2024 14:44:12 -0500

linux-liquorix (6.11-9) unstable; urgency=medium

  * merge v6.11.5
  * update version to 6.11.5-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 22 Oct 2024 09:57:57 -0500

linux-liquorix (6.11-8) unstable; urgency=medium

  * add fixes for bluetooth and netfilter
   - Bluetooth: btusb: Don't fail external suspend requests
   - netfilter: xtables: avoid NFPROTO_UNSPEC where needed
   - Bluetooth: btusb: Fix not being able to reconnect after suspend
   - netfilter: xtables: fix a bunch of typos causing some targets to not load on IPv6
  * update version to 6.11.4-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 20 Oct 2024 13:23:56 -0500

linux-liquorix (6.11-7) unstable; urgency=medium

  * merge v6.11.4
  * update version to 6.11.4-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 17 Oct 2024 16:03:26 -0500

linux-liquorix (6.11-6) unstable; urgency=medium

  * add AMD dGPU power profile fix
  * update version to 6.11.3-4

 -- Steven Barrett <steven@liquorix.net>  Wed, 16 Oct 2024 11:08:12 -0500

linux-liquorix (6.11-5) unstable; urgency=medium

  * disable CONFIG_ZBUD=y
  * update version to 6.11.3-3

 -- Steven Barrett <steven@liquorix.net>  Sun, 13 Oct 2024 18:32:05 -0500

linux-liquorix (6.11-4) unstable; urgency=medium

  * refresh config for v6.11.3
   - change zswap allocator from z3fold to zsmalloc
   - set CONFIG_PROC_MEM_ALWAYS_FORCE=y
   - other miscellaneous sync-up
  * update version to 6.11.3-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 13 Oct 2024 16:54:01 -0500

linux-liquorix (6.11-3) unstable; urgency=medium

  * merge v6.11.3
  * update version to 6.11.3-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 10 Oct 2024 09:18:42 -0500

linux-liquorix (6.11-2) unstable; urgency=medium

  * merge v6.11.2
  * revert patches
   - ZEN: mm: Stop kswapd early when nothing's waiting for it to free pages
  * disable CONFIG_SLAB_BUCKETS
  * update version to 6.11.2-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 04 Oct 2024 13:53:16 -0500

linux-liquorix (6.11-1) unstable; urgency=medium

  * switch to v6.11
  * update version to 6.11.1-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 01 Oct 2024 17:20:32 -0500

linux-liquorix (6.10-16) unstable; urgency=medium

  * merge 6.10.12
  * update version to 6.10.12-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 30 Sep 2024 10:26:57 -0500

linux-liquorix (6.10-15) unstable; urgency=medium

  * add fix for GPU stutter
   - Partially revert "drm/amd/amdgpu: add pipe1 hardware support"
  * update version to 6.10.11-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 21 Sep 2024 09:41:49 -0500

linux-liquorix (6.10-14) unstable; urgency=medium

  * merge 6.10.11
  * update version to 6.10.11-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 20 Sep 2024 12:11:01 -0500

linux-liquorix (6.10-13) unstable; urgency=medium

  * add sync-up patches for Project-C from 6.10.5
  * update version to 6.10.10-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 15 Sep 2024 14:53:58 -0500

linux-liquorix (6.10-12) unstable; urgency=medium

  * merge 6.10.10
  * update version to 6.10.10-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 12 Sep 2024 12:21:51 -0500

linux-liquorix (6.10-11) unstable; urgency=medium

  * merge 6.10.9
  * update version to 6.10.9-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 08 Sep 2024 09:41:04 -0500

linux-liquorix (6.10-10) unstable; urgency=medium

  * reset to v6.10.8-lqx2 with fixes for PCI / thunderbolt and AMDGPU
    performance regression
  - update version to 6.10.8-3

 -- Steven Barrett <steven@liquorix.net>  Sat, 07 Sep 2024 13:12:42 -0500

linux-liquorix (6.10-9) unstable; urgency=medium

  * reset to v6.10.7-lqx1 patch to avoid PCI / thunderbolt bug
  * update version to 6.10.8-2

 -- Steven Barrett <steven@liquorix.net>  Thu, 05 Sep 2024 12:22:04 -0500

linux-liquorix (6.10-8) unstable; urgency=medium

  * merge 6.10.8
  * update version to 6.10.8-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 04 Sep 2024 11:27:45 -0500
