=== debian/changelog ===
linux-liquorix (6.12-7~mx21ahs+1) mx; urgency=medium

  * Refresh and add missing force_march=x86-64_to_fix_dkms_FTB.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Dec 2024 12:23:04 -0800

linux-liquorix (6.12-7~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Go back to using xz for kernel and module compression now that Tim has 
    fixed builds for gcc-10.
  * Add fix_FTBFS_on_gcc-10.patch courtesy of Tim.
  * debian/rules: Add "export CONFIG_X86_64_VERSION=1" to fix new FTBFS on 
    Bullseye, also fixed by Tim.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 22 Dec 2024 06:04:36 -0800

linux-liquorix (6.12-7ubuntu1~jammy) jammy; urgency=medium

  * merge v6.12.6
  * pass amd_pstate=disable to cmdline by default
  * update version to 6.12.6-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 20 Dec 2024 13:37:34 -0600

linux-liquorix (6.12-6) unstable; urgency=medium

  * merge v6.12.5
  * update version to 6.12.5-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 14 Dec 2024 18:02:15 -0600

linux-liquorix (6.12-5) unstable; urgency=medium

  * merge v6.12.4
  * update version to 6.12.4-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 09 Dec 2024 09:32:36 -0600

linux-liquorix (6.12-4) unstable; urgency=medium

  * add fixes for sched ext support (doesn't affect Liquorix)
  * remove minimum TTL optimization for MG-LRU, causes excessive swapping
  * update version to 6.12.2-3

 -- Steven Barrett <steven@liquorix.net>  Thu, 05 Dec 2024 17:46:15 -0600

linux-liquorix (6.12-3) unstable; urgency=medium

  * restore proactive compaction with default value of 20
  * update version to 6.12.2-2

 -- Steven Barrett <steven@liquorix.net>  Thu, 05 Dec 2024 16:27:38 -0600

linux-liquorix (6.12-2) unstable; urgency=medium

  * merge v6.12.2
  * update version to 6.12.2-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 05 Dec 2024 10:17:10 -0600

linux-liquorix (6.12-1) unstable; urgency=medium

  * switch kernel base to v6.12
  * merge v6.12.1
  * refresh config for v6.12
  * update version to 6.12.1-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 01 Dec 2024 11:08:15 -0600

linux-liquorix (6.11-15) unstable; urgency=medium

  * merge 6.11.10-1
  * update version to 6.11.10-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 22 Nov 2024 10:34:50 -0600

linux-liquorix (6.11-14) unstable; urgency=medium

  * merge 6.11.9-1
  * update version to 6.11.9-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 17 Nov 2024 11:03:25 -0600

linux-liquorix (6.11-13) unstable; urgency=medium

  * merge 6.11.8-1
  * reapply "ZEN: mm: Stop kswapd early when nothing's waiting for it to free pages"
  * update version to 6.11.8-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 14 Nov 2024 09:29:09 -0600

linux-liquorix (6.11-12) unstable; urgency=medium

  * disable CONFIG_ZSWAP_DEFAULT_ON
  * update version to 6.11.7-2

 -- Steven Barrett <steven@liquorix.net>  Fri, 08 Nov 2024 15:08:08 -0600

linux-liquorix (6.11-11) unstable; urgency=medium

  * merge v6.11.7
  * update version to 6.11.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 08 Nov 2024 12:16:00 -0600

linux-liquorix-2.6 (2.6.34-47) unstable; urg
