=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
 VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
 VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -ne 's,.*+b\(.*\)$$,\1,p')
+
 export CONFIG_X86_64_VERSION=1
 
 include debian/rules.defs
