## linux-liquorix 6.13

=== debian/changelog ===
linux-liquorix (6.13-9~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Mar 2025 13:39:17 -0700

linux-liquorix (6.13-9ubuntu1~jammy) jammy; urgency=medium

  * backport TLB optimizations for context switching from v6.14
   - x86/mm/tlb: Update mm_cpumask lazily
   - x86/mm/tlb: Add tracepoint for TLB flush IPI to stale CPU
   - x86/mm/tlb: Also remove local CPU from mm_cpumask if stale
   - x86/mm/tlb: Only trim the mm_cpumask once a second
  * update version to 6.13.8-4

 -- Steven Barrett <steven@liquorix.net>  Fri, 28 Mar 2025 21:51:52 -0500

linux-liquorix (6.13-8) unstable; urgency=medium

  * sync missing upstream change to Project-C
   - lazy tlb: introduce lazy tlb mm refcount helper functions
  * update version to 6.13.8-3

 -- Steven Barrett <steven@liquorix.net>  Fri, 28 Mar 2025 13:19:29 -0500

linux-liquorix (6.13-7) unstable; urgency=medium

  * restore default time slice shift value for PDS
  * update version to 6.13.8-2

 -- Steven Barrett <steven@liquorix.net>  Thu, 27 Mar 2025 11:44:10 -0500

linux-liquorix (6.13-6) unstable; urgency=medium

  * merge v6.13.8
  * update version to 6.13.8-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 22 Mar 2025 16:06:34 -0500

linux-liquorix (6.13-5) unstable; urgency=medium

  * add experimental Project-C fix for priority inversion on overloaded queues
  * update version to 6.13.7-2

 -- Steven Barrett <steven@liquorix.net>  Mon, 17 Mar 2025 08:30:01 -0500

linux-liquorix (6.13-4) unstable; urgency=medium

  * merge v6.13.7
  * backport Project-C fixes
   - sched/alt: [Sync] b55945c sched: Fix pick_next_task_fair() vs
     try_to_wake_up() race
   - sched/bmq: Fix boot hang issue.
  * fix build error with Project-C
   - sched/alt: Remove lazy preemption support through tracing
  * update version to 6.13.7-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 13 Mar 2025 10:20:13 -0500

linux-liquorix (6.13-3) unstable; urgency=medium

  * merge v6.13.6
  * fix build error when CONFIG_PREEMPT_DYNAMIC is enabled
  * port upstream sched/core change to Project-C
   - sched/core: Prevent rescheduling when interrupts are disabled
  * update version to 6.13.6-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 07 Mar 2025 13:14:35 -0600

linux-liquorix (6.13-2) unstable; urgency=medium

  * remove support for Project-C + lazy preemption through Kconfig
  * add patch to fix EDAC log spam
   - EDAC/igen6: Fix the flood of invalid error reports
  * update version to 6.13.5-2

 -- Steven Barrett <steven@liquorix.net>  Tue, 04 Mar 2025 16:20:32 -0600

linux-liquorix (6.13-1) unstable; urgency=medium

  * switch to kernel v6.13
  * merge v6.13.5
  * drop invalid ELF header magic error demotion patch
  * use custom port of Project-C v6.12-r1 for v6.13
  * update version to 6.13.5-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 01 Mar 2025 13:22:57 -0600

linux-liquorix (6.12-22) unstable; urgency=medium

  * merge v6.12.17
  * update version to 6.12.17-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 27 Feb 2025 08:04:02 -0600

linux-liquorix (6.12-21) unstable; urgency=medium

  * merge v6.12.16
  * update version to 6.12.16-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 21 Feb 2025 09:32:37 -0600

linux-liquorix (6.12-20) unstable; urgency=medium

  * merge v6.12.15
  * update version to 6.12.15-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 18 Feb 2025 12:04:49 -0600

linux-liquorix (6.12-19) unstable; urgency=medium

  * merge v6.12.14
  * add ntsync patch to set /dev/ntsync to 0666
  * update version to 6.12.14-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 17 Feb 2025 09:44:57 -0600

linux-liquorix (6.12-18) unstable; urgency=medium

  * revert invlpgb patch set to v8 due to kernel OOPS
  * update version to 6.12.13-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 08 Feb 2025 13:39:21 -0600

linux-liquorix (6.12-17) unstable; urgency=medium

  * merge 6.12.13
  * update invlpgb patch from v8 to v9
  * update version to 6.12.13-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 08 Feb 2025 13:11:31 -0600

linux-liquorix (6.12-16) unstable; urgency=medium

  * update invlpgb patch from v7 to v8
  * update version to 6.12.12-2

 -- Steven Barrett <steven@liquorix.net>  Wed, 05 Feb 2025 14:51:12 -0600

linux-liquorix (6.12-15) unstable; urgency=medium

  * merge v6.12.12
  * update version to 6.12.12-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 02 Feb 2025 10:37:00 -0600

linux-liquorix (6.12-14) unstable; urgency=medium

  * fix build failure with INVLPGB v7 patch set
  * refresh config for v6.12.11
  * update version to 6.12.11-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 25 Jan 2025 13:30:09 -0600

linux-liquorix (6.12-13) unstable; urgency=medium

  * merge v6.12.11
  * update AMD INVLPGB TLB flushing patch set to v7
  * update version to 6.12.11-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 25 Jan 2025 12:59:45 -0600

linux-liquorix (6.12-12) unstable; urgency=medium

  * merge v6.12.10
  * update version to 6.12.10-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 17 Jan 2025 10:01:02 -0600

linux-liquorix (6.12-11) unstable; urgency=medium

  * merge v6.12.9
  * update version to 6.12.9-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 09 Jan 2025 09:06:51 -0600

linux-liquorix (6.12-10) unstable; urgency=medium

  * merge v6.12.8
  * add version to provided wireguard module in debian package
  * update version to 6.12.8-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 02 Jan 2025 21:01:18 -0600

linux-liquorix (6.12-9) unstable; urgency=medium

  * add AMD INVLPGB TLB flushing optimization
  * update version to 6.12.7-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 29 Dec 2024 15:31:57 -0600

linux-liquorix (6.12-8) unstable; urgency=medium

  * merge v6.12.7
  * update version to 6.12.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 27 Dec 2024 13:32:36 -0600

linux-liquorix (6.12-7) unstable; urgency=medium

  * merge v6.12.6

